Overview | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.oracleappsadapter.base
Class DbInbound

    java.lang.Object
      |
      +--com.stc.connector.oracleappsadapter.base.DbInbound

public class DbInbound
extends java.lang.Object

DOCUMENT ME!

Constructor Summary
`DbInbound(com.stc.connector.oracleappsadapter.base.ActivationSpecImpl activationSpec)` DOCUMENT ME!

Method Summary
`void` | `connect()`
`void` | `disconnect()`
`java.util.HashMap` | `executeQuery()`
`long` | `getPollMilliseconds()` Gets the number of milliseconds to wait between each poll of the input directory.
`java.lang.String` | `getURL()` Gets the URL.
`boolean` | `isConnected(java.sql.SQLException e)`
`void` | `setPollMilliseconds(long poll)` Sets the number of milliseconds to wait between each poll of the input directory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DbInbound

    public DbInbound(com.stc.connector.oracleappsadapter.base.ActivationSpecImpl activationSpec)
              throws java.lang.Exception

  DOCUMENT ME!
  Parameters:
    `activationSpec` - ActivationSpecImpl
  Throws:
    `java.lang.Exception` - Generic exception

Method Detail

### connect

    public void connect()

### disconnect

    public void disconnect()

### executeQuery

    public java.util.HashMap executeQuery()
                                   throws java.sql.SQLException

### getPollMilliseconds

    public long getPollMilliseconds()

  Gets the number of milliseconds to wait between each poll of the input directory. Default is 1000 ms.
  Returns:
    The number of milliseconds between each poll for input files.

### getURL

    public java.lang.String getURL()

  Gets the URL.
  Returns:
    The URL.

### isConnected

    public boolean isConnected(java.sql.SQLException e)

### setPollMilliseconds

    public void setPollMilliseconds(long poll)

  Sets the number of milliseconds to wait between each poll of the input directory. Default is 1000 ms.
  Parameters:
    `poll` - The number of milliseconds between each poll for input files.

Overview | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2004 by SeeBeyond Technology Corporation. All Rights Reserved.